classification
Title: CROSS: use _PYTHON_PROJECT_BASE in distutils sysconfig
Type: compile error Stage: resolved
Components: Cross-Build Versions: Python 3.4, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, devurandom, doko, jcea, python-dev, rpetrov
Priority: normal Keywords: patch

Created on 2012-07-29 09:43 by rpetrov, last changed 2013-01-26 11:09 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
2-CROSS-use-_PYTHON_PROJECT_BASE-in-distutils-sysconfig.patch rpetrov, 2012-07-29 09:43
2-CROSS-set-_PYTHON_PROJECT_BASE-to-current-build-dir.patch rpetrov, 2012-07-29 09:48
Messages (7)
msg166734 - (view) Author: Roumen Petrov (rpetrov) * Date: 2012-07-29 09:43
Same as sysconfig but now in distutils  _PYTHON_PROJECT_BASE has to be used in cross-build environment.
msg166736 - (view) Author: Roumen Petrov (rpetrov) * Date: 2012-07-29 09:48
Also _PYTHON_PROJECT_BASE should be initialized to build directory by configure - low priority as other issue prevent python to be build and tested smoothly outside source tree.
msg180575 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2013-01-25 13:16
> 2-CROSS-use-_PYTHON_PROJECT_BASE-in-distutils-sysconfig.patch

This looks ok to me, just factoring out some code and setting the project base. Even if distutils is frozen, I'll apply this one, based on Eric's comment in http://bugs.python.org/issue14330#msg164406

> 2-CROSS-set-_PYTHON_PROJECT_BASE-to-current-build-dir.patch

I'll use abs_builddir instead.
msg180577 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2013-01-25 13:22
and adding the pybuilddir to PYTHONPATH, so that _sysconfigdata.py is found if it does exist.

$(shell test -f pybuilddir.txt && echo $(abs_builddir)/`cat pybuilddir.txt`:)
msg180578 - (view) Author: Roundup Robot (python-dev) Date: 2013-01-25 13:36
New changeset b2e7c85399f5 by doko in branch '3.3':
- Issue #15484: Fix _PYTHON_PROJECT_BASE for srcdir != builddir builds;
http://hg.python.org/cpython/rev/b2e7c85399f5

New changeset 172fec65c882 by doko in branch 'default':
- Issue #15484: Fix _PYTHON_PROJECT_BASE for srcdir != builddir builds;
http://hg.python.org/cpython/rev/172fec65c882
msg180633 - (view) Author: Roumen Petrov (rpetrov) * Date: 2013-01-25 22:21
Matthias Klose wrote:
> 2-CROSS-set-_PYTHON_PROJECT_BASE-to-current-build-dir.patch
> I'll use abs_builddir instead.
Yes after some fixes related to issue 15819 (msg173144) this is preferred.

Roumen
msg180658 - (view) Author: Roundup Robot (python-dev) Date: 2013-01-26 11:09
New changeset f0cde9b6830a by doko in branch '3.3':
- Follow-up for issue #15484: In PYTHON_FOR_BUILD, use $(PLATDIR) instead
http://hg.python.org/cpython/rev/f0cde9b6830a

New changeset 938a045cfe7d by doko in branch 'default':
- Follow-up for issue #15484: In PYTHON_FOR_BUILD, use $(PLATDIR) instead
http://hg.python.org/cpython/rev/938a045cfe7d
History
Date User Action Args
2013-01-26 11:09:46python-devsetmessages: + msg180658
2013-01-25 22:21:55rpetrovsetmessages: + msg180633
2013-01-25 15:12:07ezio.melottisetstage: resolved
resolution: fixed
versions: + Python 3.4
2013-01-25 13:36:49dokosetstatus: open -> closed
2013-01-25 13:36:01python-devsetnosy: + python-dev
messages: + msg180578
2013-01-25 13:22:50dokosetmessages: + msg180577
2013-01-25 13:17:00dokosetnosy: + doko
messages: + msg180575
2012-10-22 12:01:09jceasetnosy: + jcea
2012-10-17 08:46:57devurandomsetnosy: + devurandom
2012-07-29 11:56:19Arfreversetnosy: + Arfrever
2012-07-29 10:02:35rpetrovsettype: compile error
components: + Cross-Build, - Build
2012-07-29 09:48:49rpetrovsetfiles: + 2-CROSS-set-_PYTHON_PROJECT_BASE-to-current-build-dir.patch

messages: + msg166736
2012-07-29 09:43:21rpetrovcreate